## isce2-2.3.1.tar.gz

=== SConstruct ===
#!/usr/bin/env python

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2010 California Institute of Technology. ALL RIGHTS RESERVED.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# United States Government Sponsorship acknowledged. This software is subject to
# U.S. export control laws and regulations and has been classified as 'EAR99 NLR'
# (No [Export] License Required except when exporting to an embargoed country,
# end user, or in support of a prohibited end use). By downloading this software,
# the user agrees to comply with all applicable U.S. export laws and regulations.
# The user has the responsibility to obtain export licenses, or other export
# authority as may be required before exporting this software to any 'EAR99'
# embargoed foreign country or citizen of those countries.
#
# Author: Giangi Sacco
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



import os
import sys

if sys.version_info[0] == 2:
    print('Building with scons from python2')
else:
    raw_input = input
    print('Building with scons from python3')

if 'SCONS_CONFIG_DIR' in os.environ:
    sconsConfigDir = os.environ['SCONS_CONFIG_DIR']
else:
    print("Error. Need to set the variable SCONS_CONFIG_DIR in the shell environment")
    raise Exception

from configuration import sconsConfigFile
#allow scons to take the input argument --setupfile=someOtherFile to allow change of the default SConfigISCE
AddOption('--setupfile',dest='setupfile',type='string',default='SConfigISCE')
AddOption('--isrerun',dest='isrerun',type='string',default='no')
AddOption('--skipcheck',dest='skipcheck', action='store_true', default=False)

env = Environment(ENV = os.environ)
sconsSetupFile = GetOption('setupfile')
isrerun = GetOption('isrerun')
skipcheck = GetOption('skipcheck')

sconsConfigFile.setupScons(env,sconsSetupFile)
#add some information that are necessary to build the framework such as specific includes, libpath and so on
buildDir = env['PRJ_SCONS_BUILD']
libPath = os.path.join(buildDir,'libs')
#this is the directory where all the built library are put so they can easily be found during linking
env['PRJ_LIB_DIR'] = libPath

# add the libPath to the LIBPATH environment that is where all the libs are serched
env.AppendUnique(LIBPATH = [libPath])
# add the modPath to the FORTRANMODDIR environment that is where all the fortran mods are searched

#not working yet
modPath = os.path.join(buildDir,'mods')
env['FORTRANMODDIR'] =  modPath
env.AppendUnique(FORTRANPATH = [modPath])
env.AppendUnique(F90PATH = [modPath])
env.AppendUnique(F77PATH = [modPath])
#add the includes needed by the framework
imageApiInc = os.path.join(buildDir,'components/iscesys/ImageApi/include')
dataCasterInc = os.path.join(buildDir,'components/iscesys/ImageApi/DataCaster/include')
lineAccessorInc = os.path.join(buildDir,'components/isceobj/LineAccessor/include')
stdOEInc =  os.path.join(buildDir,'components/iscesys/StdOE/include')
utilInc =  os.path.join(buildDir,'components/isceobj/Util/include')
utilLibInc =  os.path.join(buildDir,'components/isceobj/Util/Library/include')

env.AppendUnique(CPPPATH = [imageApiInc,dataCasterInc,lineAccessorInc,stdOEInc,utilInc,utilLibInc])
env['HELPER_DIR'] = os.path.join(env['PRJ_SCONS_INSTALL'],'helper')
env['HELPER_BUILD_DIR'] = os.path.join(env['PRJ_SCONS_BUILD'],'helper')

#put the pointer function createHelp in the environment so it can be access anywhere
from configuration.buildHelper import createHelp
env['HELP_BUILDER'] = createHelp
#Create an env variable to hold all the modules added to the sys.path by default.
#They are the same as the one in in __init__.py in the same directory of this file
moduleList = []
installDir = env['PRJ_SCONS_INSTALL']
moduleList.append(os.path.join(installDir,'applications'))
moduleList.append(os.path.join(installDir,'components'))
env['ISCEPATH'] = moduleList
env.PrependUnique(LIBS=['gdal'])
Export('env')


inst = env['PRJ_SCONS_INSTALL']

####new part
#####PSA. Check for header files and libraries up front
confinst = Configure(env)
hdrparams = [('python3 header', 'Python.h', 'Install python3-dev or add path to Python.h to CPPPATH'),
          ('fftw3', 'fftw3.h', 'Install fftw3 or libfftw3-dev or add path to fftw3.h to CPPPATH and FORTRANPATH'),
          ('hdf5', 'hdf5.h', 'Install HDF5 of libhdf5-dev or add path to hdf5.h to CPPPATH'),
          ('X11', 'X11/Xlib.h', 'Install X11 or libx11-dev or add path to X11 directory to X11INCPATH'),
          ('Xm', 'Xm/Xm.h', 'Install libXm or libXm-dev or add path to Xm directory to MOTIFINCPATH'),
          ('openmp', 'omp.h', 'Compiler not built with OpenMP. Use a different compiler or add path to omp.h to CPPPATH'),]

allflag  = False
for (name,hname,msg) in hdrparams:
    if not (confinst.CheckCHeader(hname) or confinst.CheckCXXHeader(hname)):
        print('Could not find: {0} header for {1}'.format(hname, name))
        print('Error: {0}'.format(msg))
        allflag = True

libparams=  [('libhdf5', 'hdf5', 'Install hdf5 or libhdf5-dev'),
          ('libfftw3f', 'fftw3f', 'Install fftw3 or libfftw3-dev'),
          ('libXm', 'Xm', 'Install Xm or libXm-dev'),
          ('libXt', 'Xt', 'Install Xt or libXt-dev')]

for (name,hname,msg) in libparams:
    if not confinst.CheckLib(hname):
        print('Could not find: {0} lib for {1}'.format(hname, name))
        print('Error: {0}'.format(msg))
        allflag = True

if env.FindFile('fftw3.f', env['FORTRANPATH']) is None:
    print('Checking for F include fftw3 ... no')
    print('Could not find: fftw3.f header for fftw3')
    print('Error: Install fftw3 or libfftw3-dev or add path to FORTRANPATH')
    allflag = True
else:
    print('Checking for F include fftw3 ... yes'.format(name))


###This part added to handle GDAL and C++11
gdal_version = os.popen('gdal-config --version').read()
print('GDAL version: {0}'.format(gdal_version))
try:
    gdal_subversion = int(gdal_version.split('.')[1])
except:
    raise Exception('gdal-config not found. GDAL does not appear to be installed ... cannot proceed. If you have installed gdal, ensure that you have path to gdal-config in your environment')

env['GDALISCXX11'] = None
if gdal_subversion >= 3:
    env['GDALISCXX11'] = 'True' 


##Add C++11 for GDAL checks
#Save default environment if C++11
if env['GDALISCXX11']:
    preCXX11 = confinst.env['CXXFLAGS']
    confinst.env.Replace(CXXFLAGS=preCXX11 + ['-std=c++11'])

if not confinst.CheckCXXHeader('gdal_priv.h'):
    print('Could not find: gdal_priv.h for gdal')
    print('Install gdal or add path to gdal includes to CPPPATH')
    allflag = True

if not confinst.CheckLib('gdal'):
    print('Could not find: libgdal for gdal')
    print('Install gdal or include path to libs to LIBPATH')
    allflag = True

###If C++11, revert to original environment
if env['GDALISCXX11']:
    confinst.env.Replace(CXXFLAGS=preCXX11)


###Decide whether to complain or continue
if (allflag and not skipcheck):
    print('Not all components of ISCE will be installed and can result in errors.')
    raw_input('Press Enter to continue.... Ctrl-C to exit')
elif (allflag and skipcheck):
    print('Not all components of ISCE will be installed and can result in errors.')
    print('User has requested to skip checks. Expect failures ... continuing')
else:
    print('Scons appears to find everything needed for installation')

try:
    # Older versions of scons do not have CheckProg, so 'try' to use it
    if confinst.CheckProg('cython3'):
        env['CYTHON3'] = True
    else:
        print('cython3 is not installed. Packages that depend on cython3 will not be installed.')
        env['CYTHON3'] = False
except:
    # If CheckProg is not available set env['CYTHON3'] = True and hope for the best
    # If the cython3 link does not exist, then a later error should prompt the user to
    # create the cython3 link to their cython installed as cython.
    env['CYTHON3'] = True
    pass

env = confinst.Finish()
###End of new part

### GPU branch-specific modifications
if 'ENABLE_CUDA' in env and env['ENABLE_CUDA'].upper() == 'TRUE':
    print('User requested compilation with CUDA, if available')
    try:
        env.Tool('cuda', toolpath=['scons_tools'])
        env['GPU_ACC_ENABLED'] = True
        print("CUDA-relevant libraries and toolkit found. GPU acceleration may be enabled.")
    except:
        env['GPU_ACC_ENABLED'] = False
        print("CUDA-relevant libraries or toolkit not found. GPU acceleration will be disabled.")
else:
    print('User did not request CUDA support. Add ENABLE_CUDA = True to SConfigISCE to enable CUDA support')
    env['GPU_ACC_ENABLED'] = False

### End of GPU branch-specific modifications


file = '__init__.py'
if not os.path.exists(file):
    fout = open(file,"w")
    fout.write("#!/usr/bin/env python3")
    fout.close()

env.Install(inst,file)
try:
    from subprocess import check_output
    svn_revision = check_output('svnversion').strip() or 'Unknown'
    if sys.version_info[0] == 3:
        svn_revision = svn_revision.decode('utf-8')
except ImportError:
    try:
        import popen2
        stdout, stdin, stderr = popen2.popen3('svnversion')
        svn_revision = stdout.read().strip()
        if stderr.read():
            raise Exception
    except Exception:
        svn_revision = 'Unknown'
except OSError:
    svn_revision = 'Unknown'

if not os.path.exists(inst):
    os.makedirs(inst)

fvers = open(os.path.join(inst,'version.py'),'w')

from release_history import release_version, release_svn_revision, release_date
fvers_lines = ["release_version = '"+release_version+"'\n",
               "release_svn_revision = '"+release_svn_revision+"'\n",
               "release_date = '"+release_date+"'\n",
               "svn_revision = '"+svn_revision+"'\n\n"]

fvers.write(''.join(fvers_lines))
fvers.close()
v = 0
if isrerun == 'no':
    cmd = 'scons -Q install --isrerun=yes'
    if skipcheck:
        cmd += ' --skipcheck'
    v = os.system(cmd)
if v == 0:
    env.Alias('install',inst)
    applications = os.path.join('applications','SConscript')
    SConscript(applications)
    components = os.path.join('components','SConscript')
    SConscript(components)
    defaults = os.path.join('defaults','SConscript')
    SConscript(defaults)
    library = os.path.join('library','SConscript')
    SConscript(library)
    contrib = os.path.join('contrib','SConscript')
    SConscript(contrib)

    if 'test' in sys.argv:
        #Run the unit tests
        env['Test'] = True
    else:
        #Don't run tests.
        #This option only installs test support package for future test runs.
        env['Test'] = False

    tests = os.path.join('test', 'SConscript')
    SConscript(tests)

=== contrib/PyCuAmpcor/src/Makefile ===
PROJECT = CUAMPCOR

LDFLAGS =  -lcuda -lcudart -lcufft -lcublas
CXXFLAGS = -std=c++11 -fpermissive -fPIC -shared
NVCCFLAGS = -ccbin g++ -m64 \
	-gencode arch=compute_35,code=sm_35 \
    -Xcompiler -fPIC -shared -Wno-deprecated-gpu-targets \
    -ftz=false -prec-div=true -prec-sqrt=true

CXX=g++
NVCC=nvcc

DEPS = cudaUtil.h cudaError.h cuArrays.h SlcImage.h cuAmpcorParameter.h
OBJS =  SlcImage.o cuArrays.o cuArraysCopy.o cuArraysPadding.o cuOverSampler.o \
	    cuSincOverSampler.o cuDeramp.o cuOffset.o \
        cuCorrNormalization.o cuAmpcorParameter.o cuCorrTimeDomain.o cuCorrFrequency.o \
        cuAmpcorChunk.o cuAmpcorController.o cuEstimateStats.o

all: cuampcor 

SlcImage.o: SlcImage.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ SlcImage.cu

cuArrays.o: cuArrays.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuArrays.cu

cuArraysCopy.o: cuArraysCopy.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuArraysCopy.cu

cuArraysPadding.o: cuArraysPadding.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuArraysPadding.cu

cuSincOverSampler.o: cuSincOverSampler.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuSincOverSampler.cu

cuOverSampler.o: cuOverSampler.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuOverSampler.cu

cuDeramp.o: cuDeramp.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuDeramp.cu

cuOffset.o: cuOffset.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuOffset.cu

cuCorrNormalization.o: cuCorrNormalization.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuCorrNormalization.cu

cuAmpcorParameter.o: cuAmpcorParameter.cu 
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuAmpcorParameter.cu 

cuCorrTimeDomain.o: cuCorrTimeDomain.cu $(DEPS)
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuCorrTimeDomain.cu

cuCorrFrequency.o: cuCorrFrequency.cu $(DEPS) cuCorrFrequency.h
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuCorrFrequency.cu

cuAmpcorChunk.o: cuAmpcorChunk.cu cuAmpcorUtil.h $(DEPS) 
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuAmpcorChunk.cu	

cuAmpcorController.o: cuAmpcorController.cu
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuAmpcorController.cu

cuEstimateStats.o: cuEstimateStats.cu
	$(NVCC) $(NVCCFLAGS) -c -o $@ cuEstimateStats.cu


cuampcor: $(OBJS)
	rm -f PyCuAmpcor.cpp && python3 setup.py build_ext --inplace

clean:
	rm -rf *.o *so build *~  PyCuAmpcor.cpp ctest *.dat

=== components/iscesys/ImageApi/test/SConstruct ===
#!/usr/bin/env python

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2010 California Institute of Technology. ALL RIGHTS RESERVED.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# United States Government Sponsorship acknowledged. This software is subject to
# U.S. export control laws and regulations and has been classified as 'EAR99 NLR'
# (No [Export] License Required except when exporting to an embargoed country,
# end user, or in support of a prohibited end use). By downloading this software,
# the user agrees to comply with all applicable U.S. export laws and regulations.
# The user has the responsibility to obtain export licenses, or other export
# authority as may be required before exporting this software to any 'EAR99'
# embargoed foreign country or citizen of those countries.
#
# Author: Giangi Sacco
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~








import os
import sys

HOME = os.environ['HOME']

# check if python version it's >= 2.6
if ((sys.version_info[0] < 2) or ((sys.version_info[0] == 2) and (sys.version_info[1] < 6) )):
    print "Sorry. The package requires Python 2.6.x or higher"
    raise Exception

if 'SCONS_CONFIG_DIR' in os.environ:
    sconsConfigDir = os.environ['SCONS_CONFIG_DIR']
else:
    print("Error. Need to set the variable SCONS_CONFIG_DIR in the shell environment")
    raise Exception 

import sconsConfigFile

env = Environment(ENV = os.environ)
sconsSetupFile = "SConfigISCE"

sconsConfigFile.setupScons(env,sconsSetupFile)
#add some information that are necessary to build the framework such as specific includes, libpath and so on
buildDir = env['PRJ_SCONS_BUILD']
libPath = buildDir + '/libs'
#this is the directory where all the built library are put so they can easily be found diring linking
env['PRJ_LIB_DIR'] = libPath

# add the libPath to the LIBPATH environment that is where all the libs are serched
env.AppendUnique(LIBPATH = [libPath])

# add the modPath to the FORTRANMODDIR environment that is where all the fortran mods are serched

#not working yet
modPath = buildDir + '/mods'
env['FORTRANMODDIR'] =  modPath
env.AppendUnique(FORTRANPATH = [modPath])
env.AppendUnique(F90PATH = [modPath])
env.AppendUnique(F77PATH = [modPath])
#add the includes needed by the framework
imageApiInc = buildDir + '/components/iscesys/ImageApi/include'
lineAccessorInc = buildDir + '/components/isceobj/LineAccessor/include'
stdOEInc =  buildDir + '/components/iscesys/StdOE/include'
env.AppendUnique(CPPPATH = [lineAccessorInc,stdOEInc])
env.AppendUnique(LIBPATH=[os.path.join(HOME,'ISCEPck/build/libs'),'.'])
env.AppendUnique(CCFLAGS = '-g')
env.AppendUnique(CPPPATH = ['/usr/include/python2.6','./','../InterleavedAccessor/include','../DataAccessor/include','../DataCaster/include','../Factories/include'])
#env.Program('driver.ex',['driver.cpp','../InterleavedAccessor/src/InterleavedAccessor.cpp','../InterleavedAccessor/src/BSQAccessor.cpp','../InterleavedAccessor/src/BILAccessor.cpp','../InterleavedAccessor/src/BIPAccessor.cpp','../DataAccessor/src/DataAccessor.cpp','../DataAccessor/src/DataAccessorCaster.cpp','../DataAccessor/src/DataAccessorNoCaster.cpp','../DataCaster/src/DoubleToFloatCaster.cpp','../DataCaster/src/FloatToDoubleCaster.cpp','../Factories/src/CasterFactory.cpp','../Factories/src/InterleavedFactory.cpp','../Factories/src/AccessorFactory.cpp'])
#env.Program('driver1.ex',['driver1.cpp','../InterleavedAccessor/src/InterleavedAccessor.cpp','../InterleavedAccessor/src/BSQAccessor.cpp','../InterleavedAccessor/src/BILAccessor.cpp','../InterleavedAccessor/src/BIPAccessor.cpp','../DataAccessor/src/DataAccessor.cpp','../DataAccessor/src/DataAccessorCaster.cpp','../DataAccessor/src/DataAccessorNoCaster.cpp','../DataCaster/src/DoubleToFloatCaster.cpp','../DataCaster/src/FloatToDoubleCaster.cpp','../Factories/src/CasterFactory.cpp','../Factories/src/InterleavedFactory.cpp','../Factories/src/AccessorFactory.cpp'])
#imageApiInc = buildDir + '/components/iscesys/ImageApi/include'
listFiles = ['test1.f90']
lib = env.Library(target = 'test1', source = listFiles)
libList = ['test1','InterleavedAccessor','DataAccessor']
env.PrependUnique(LIBS = libList)
module = env.LoadableModule(target = 'test1module.so', source = 'test1.cpp')

=== setup/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 131797 2015-01-18 20:29:16Z isceteam@gmail.com $

PortSystem              1.0
PortGroup               python 1.0
PortGroup               active_variants 1.1
PortGroup               compilers 1.0

name                    py-isce
version                 2.0.0
revision
epoch                   201505
platforms               darwin
license                 BSD


maintainers             isceteam@gmail.com
description             Library for SAR data processing
long_description        ${description}

homepage                http://winsar.unavco.org/isce.html
checksums               sha256  d828220a3eff9c109bb88da993f72c4207a52ff920a6cd84afd2688ba34edb4d\
                        rmd160  1ae5676cf4a1046e854df019776891e98afd66a2

set     iscedist        isce-${version}_${epoch}.bz2 


distfiles           ${iscedist}
worksrcdir          isce-${version}_${epoch}
use_bzip2           yes
use_configure       no


#####Python information
python.versions         33 34
python.default_version  34
python.add_archflags    no
universal_variant       no

set workconfpath        ${workpath}/config
set workbldpath         ${workpath}/build
set workinstallpath         ${workpath}/isce

####Build parameters
build.cmd       "SCONS_CONFIG_DIR=${workconfpath} ${prefix}/bin/scons"
build.target    install
use_parallel_build  no

#Currently testing only gcc46, gcc47 and gcc48
compilers.setup         -clang -dragonegg -llvm -gcc44 -gcc45 -g95 -gfortran



if {${name} ne ${subport}} {

    notes-append        "

To install
-----------

port install py34-isce +gcc48 fetch.user=\"winsarusername\" fetch.password=\"winsarpasswd\"

You will need the winsar username and password to install ISCE.

After installation
------------------

After installation and before using ISCE, do the following:

1) Set environment variable ISCE_HOME=${prefix}${python.pkgd}/isce .
2) Append \$ISCE_HOME/applications and \$ISCE_HOME/bin to PATH.


Other important notes
----------------------

1) GDAL is required for working with Radarsat2, Terrasar-X and Sentinel 1-A. Suggested variant of gdal is  +expat+geos+hdf5+netcdf+postgresql93+sqlite3
2) To work with orbits in inertial coordinate systems (Radarsat-1 and RISAT), install SpiceyPy from http://spiceypy.readthedocs.org/en/master/ .


    "    

    depends_lib-append      port:wget \
                            port:curl \
                            port:bzip2\
                            port:openmotif\
                            port:hdf5 \
                            port:fftw-3\
                            port:fftw-3-single\
                            port:gdal \
                            port:scons\
                            port:py${python.version}-setuptools\
                            port:py${python.version}-numpy \
                            port:py${python.version}-nose  \
                            port:py${python.version}-gdal  \
                            port:py${python.version}-h5py

    require_active_variants port:wget ssl
    require_active_variants port:curl ssl
    require_active_variants port:gdal hdf5 
    require_active_variants port:gdal netcdf 


    #####STEP 1: Fetch step
    ####Pre-fetching
    pre-fetch {

        if {![gcc_variant_isset]} {
            return -code error
"You have selected a non gcc compiler for installing ISCE. ISCE currently only supports gcc."
        }

        set gccvar  [gcc_variant_name]

#        require_active_variants port:fftw-3 ${gccvar}
        require_active_variants port:fftw-3-single ${gccvar}

    }

    #####Part that actually uses WGET To 
    fetch {

     system   "wget -N --user ${fetch.user} --password ${fetch.password} --directory=${distpath} http://winsar.unavco.org/software/ISCE/${iscedist}"


    }

    ####Post-fetching
    post-fetch {}

    #####STEP 2: Configure step
    #Pre-configure
    pre-configure {
        xinstall -d ${workconfpath}
        xinstall -d ${workbldpath}
    }

    #Actual configuration
    #Setup SConfigISCE and config dir here
    configure {
        set gccvar  [gcc_variant_name]
        set gcclast [string index ${gccvar} end]  
        set cfgname ${workconfpath}/SConfigISCE
        set fileId [open $cfgname "w"]


        puts   $fileId  "PRJ_SCONS_BUILD  =   ${workbldpath}"
        puts   $fileId  "PRJ_SCONS_INSTALL =  ${workinstallpath}"
        puts   $fileId  "LIBPATH  =      ${prefix}/lib"
        puts   $fileId  "CPPPATH  =      ${python.include}"
        puts   $fileId  "CC       =      ${prefix}/bin/gcc-mp-4.${gcclast}"
        puts   $fileId  "CXX      =      ${prefix}/bin/g++-mp-4.${gcclast}"
        puts   $fileId  "FORTRANPATH  =   ${prefix}/include"
        puts   $fileId  "FORTRAN   =     ${prefix}/bin/gfortran-mp-4.${gcclast}"
        puts   $fileId  "MOTIFLIBPATH =  ${prefix}/lib"
        puts   $fileId  "X11LIBPATH   =  ${prefix}/lib"
        puts   $fileId  "MOTIFINCPATH =  ${prefix}/include"
        puts   $fileId  "X11INCPATH   =  ${prefix}/include"
        close   $fileId
}

#    post-configure{}


#### This will contain the linking of executables to /opt/local/bin
#### This should also contain softlinking of python executable to /opt/local/bin/python3
    destroot {
        ####This is a temporary fix till "SConstruct" is fixed.
        system "find ${workinstallpath} -name *.py -exec sed -i '' 's/usr\\\/bin\\\/env python3/usr\\\/bin\\\/env python${python.branch}/g' {} +"
        xinstall -m 755 -d ${destroot}${python.pkgd}/isce
        system "cp -rf ${workinstallpath}/* ${destroot}${python.pkgd}/isce"

    }

    default_variants    +gcc48

    livecheck.type      none
}
